#!/bin/bash
set -e
if [ ! -d test_output ]; then
    mkdir test_output
fi

perl blast_hits_in_ucsc_genome_browser.pl -b ./test_input/test_blast_results.txt -d test_output/features -g bosTau4 -u http://129.128.131.178/~paul/features -v
perl blast_hits_in_ucsc_genome_browser.pl -b ./test_input/bovine_positions.tab -d test_output/50kbtau4 -u http://129.128.131.178/~paul/50kbtau4 -g bosTau4 -l -n '50k_panel_SNPs'

#compare new output to sample output
new_output=test_output
old_output=sample_output
new_files=($( find $new_output -type f -print0 | perl -ne 'my @files = split(/\0/, $_); foreach(@files) { if (!($_ =~ m/\.svn/)) {print "$_\n";}}'))
for (( i=0; i<${#new_files[@]}; i++ ));
do
    old_file=${old_output}`echo "${new_files[$i]}" | perl -nl -e 's/^[^\/]+//;' -e 'print $_'`
    echo "Comparing ${old_file} to ${new_files[$i]}"
    set +e
    diff -u $old_file ${new_files[$i]}
    if [ $? -eq 0 ]; then
	echo "No differences found"
    fi
    set -e
done